require "helper"
require "fluent/plugin/out_bos.rb"

class BosOutputTest < Test::Unit::TestCase
  setup do
    Fluent::Test.setup
  end

  test "configure" do
    conf = %[
      bce_key_id 11111111111
      bce_sec_key 11111111111
      bos_endpoint http://test.bcebos.com
      bos_bucket test-bls-baidu
      part_prefix dir/test
    ]
    create_driver(conf)
  end

  private

  def create_driver(conf)
    Fluent::Test::Driver::Output.new(Fluent::Plugin::BosOutput).configure(conf)
  end
end
